package com.beem.project.beem.account;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;

public class AuthenticatorService extends Service {

    private Authenticator mAuth;

    public AuthenticatorService() {
	super();
    }

    @Override
    public void onCreate() {
	super.onCreate();
	mAuth = new Authenticator(getApplicationContext());
    }

    @Override
    public IBinder onBind(Intent intent) {
	IBinder ret = null;
	if (intent.getAction().equals(android.accounts.AccountManager.ACTION_AUTHENTICATOR_INTENT))
	    ret = mAuth.getIBinder();
	return ret;
    }

}
